MvcMovie/Models/ErrorViewModel.cs
using System;

namespace MvcMovie.Models
{
    public class ErrorViewModel
    {
        public string RequestId { get; set; }

        public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);
    }
}

MvcMovie/Models/Movie.cs
using System;
using System.ComponentModel.DataAnnotations;

namespace MvcMovie.Models
{
    public class Movie
    {
        public int Id { get; set; }
        public string Title { get; set; }

        [DataType(DataType.Date)]
        public DateTime ReleaseDate { get; set; }
        public string Genre { get; set; }
        public decimal Price { get; set; }
    }
}

MvcMovie/Controllers/HelloWorldController.cs
using Microsoft.AspNetCore.Mvc;
using System.Text.Encodings.Web;

namespace MvcMovie.Controllers
{
    public class HelloWorldController : Controller
    {

        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Welcome(string name, int numTimes = 1)
        {
            ViewData["Message"] = "Hello " + name;
            ViewData["NumTimes"] = numTimes;

            return View();
        }
    }
}

MvcMovie/Controllers/HomeController.cs
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using MvcMovie.Models;

namespace MvcMovie.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        public IActionResult Policies()
        {
            return View();
        }

        public IActionResult Accessibility()
        {
            return View();
        }

        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

       

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}

MvcMovie/Controllers/MoviesController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using MvcMovie.Models;

namespace MvcMovie.Controllers
{
    public class MoviesController : Controller
    {
        private readonly MvcMovieContext _context;

        public MoviesController(MvcMovieContext context)
        {
            _context = context;
        }

        // GET: Movies
        public async Task<IActionResult> Index()
        {
            return View(await _context.Movie.ToListAsync());
        }

        // GET: Movies/Details/5
        public async Task<IActionResult> Details(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var movie = await _context.Movie
                .FirstOrDefaultAsync(m => m.Id == id);
            if (movie == null)
            {
                return NotFound();
            }

            return View(movie);
        }

        // GET: Movies/Create
        public IActionResult Create()
        {
            return View();
        }

        // POST: Movies/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Create([Bind("Id,Title,ReleaseDate,Genre,Price")] Movie movie)
        {
            if (ModelState.IsValid)
            {
                _context.Add(movie);
                await _context.SaveChangesAsync();
                return RedirectToAction(nameof(Index));
            }
            return View(movie);
        }

        // GET: Movies/Edit/5
        public async Task<IActionResult> Edit(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var movie = await _context.Movie.FindAsync(id);
            if (movie == null)
            {
                return NotFound();
            }
            return View(movie);
        }

        // POST: Movies/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Edit(int id, [Bind("Id,Title,ReleaseDate,Genre,Price")] Movie movie)
        {
            if (id != movie.Id)
            {
                return NotFound();
            }

            if (ModelState.IsValid)
            {
                try
                {
                    _context.Update(movie);
                    await _context.SaveChangesAsync();
                }
                catch (DbUpdateConcurrencyException)
                {
                    if (!MovieExists(movie.Id))
                    {
                        return NotFound();
                    }
                    else
                    {
                        throw;
                    }
                }
                return RedirectToAction(nameof(Index));
            }
            return View(movie);
        }

        // GET: Movies/Delete/5
        public async Task<IActionResult> Delete(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var movie = await _context.Movie
                .FirstOrDefaultAsync(m => m.Id == id);
            if (movie == null)
            {
                return NotFound();
            }

            return View(movie);
        }

        // POST: Movies/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> DeleteConfirmed(int id)
        {
            var movie = await _context.Movie.FindAsync(id);
            _context.Movie.Remove(movie);
            await _context.SaveChangesAsync();
            return RedirectToAction(nameof(Index));
        }

        private bool MovieExists(int id)
        {
            return _context.Movie.Any(e => e.Id == id);
        }
    }
}

MvcMovie/Views/HelloWorld/Index.cshtml
@{
    ViewData["Title"] = "Movie List";
}

<h2>My Movie List</h2>

<p>Hello from our View Template!</p>

MvcMovie/Views/HelloWorld/Welcome.cshtml
@{
    ViewData["Title"] = "Welcome";
}

<h2>Welcome</h2>

<ul>
    @for (int i = 0; i < (int)ViewData["NumTimes"]; i++)
    {
        <li>@ViewData["Message"]</li>
    }
</ul>

MvcMovie/Views/Home/About.cshtml
@{
    ViewData["Title"] = "About Us";
}
<h2>@ViewData["Title"]</h2>
<h3>@ViewData["Message"]</h3>

<p>Use this area to provide additional information.</p>

MvcMovie/Views/Home/Accessibility.cshtml
@{
    ViewData["Title"] = "Accessibility";
}

<h2>@ViewData["Title"]</h2>

<p>Use this page to detail your site's accessibility policy.</p>

MvcMovie/Views/Home/Contact.cshtml
@{
    ViewData["Title"] = "Contact Us";
}
<h2>@ViewData["Title"]</h2>
<h3>@ViewData["Message"]</h3>

<address>
    1100 South St. Francis Drive
    Santa Fe, NM 87504
    <abbr title="Phone">P:</abbr>
    (505) 827-0700
    *Use this number for general inquiries. See below for additional contact numbers.
</address>

MvcMovie/Views/Home/Index.cshtml
@{
    ViewData["Title"] = "Home Page";
}

<div class="content">

    <h1 class="page-title">New Mexico In-state Preference Business/Contractor Certificate Validation</h1>

    <hr>

    <p class="lead">Welcome to the New Mexico In-state Preference Business/Contractor Certificate Validation application.</p>

    <hr>
    <p></p>

    <div>
        <h2>Please provide the following information:</h2>
        <p>
            To determine the validity of a certificate, just enter the following information. Be sure to enter the information exactly as it appears on the certificate including punctuation,
            or you may get an invalid search result.
        </p>
        <p>For questions regarding in-state preference certification, please call (505) 827-0951.</p>
        <div class="form-group col-8">
            <label>* Resident Business/Contractor Name</label>
            <input type="text" maxlength="255" class="form-control">
        </div>
        <div class="form-group">
            <label>* Resident Business/Contractor Certificate Number</label>
            <input type="text" maxlength="255" class="form-control">
        </div>
        <div class="form-group">
            <div class="g-recaptcha"></div>
            <br />
            <br />
        </div>

        <button type="button" class="btn">Cancel</button>
        <button type="button" class="btn btn-primary">Submit</button>
    </div>
</div>
   

MvcMovie/Views/Home/Policies.cshtml
@{
    ViewData["Title"] = "Policies";
}

<h2>@ViewData["Title"]</h2>

<p>Use this page to detail your site's policies.</p>

MvcMovie/Views/Movies/Create.cshtml
@model MvcMovie.Models.Movie

@{
    ViewData["Title"] = "Create";
}

<div class="content">
    <h1 class="page-title">MVD Movies Library</h1>
    <br />
    <div>
        <hr>

        <h3 class="lead">Add Movie Details</h3>
        <hr />

        <p>
            To add movie title to the library, enter the appropriate information in the boxes below, and then click 'Create'. To discard changes, click 'Back to List'.
        </p>
        <br />

        <div class="row">
            <div class="col-md-4">
                <form asp-action="Create">
                    <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                    <div class="form-group">
                        <label asp-for="Title" class="control-label"></label>
                        <input asp-for="Title" class="form-control" />
                        <span asp-validation-for="Title" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="ReleaseDate" class="control-label"></label>
                        <input asp-for="ReleaseDate" class="form-control" />
                        <span asp-validation-for="ReleaseDate" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="Genre" class="control-label"></label>
                        <input asp-for="Genre" class="form-control" />
                        <span asp-validation-for="Genre" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="Price" class="control-label"></label>
                        <input asp-for="Price" class="form-control" />
                        <span asp-validation-for="Price" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <input type="submit" value="Create" class="btn btn-primary" />
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}

MvcMovie/Views/Movies/Delete.cshtml
@model MvcMovie.Models.Movie

@{
    ViewData["Title"] = "Delete";
}

    <div class="content">
        <h1 class="page-title">MVD Movies Library</h1>
        <br />
        <div>
            <hr>
            <h3 class="lead">Delete Movie</h3>
            <hr />


            <h2>Are you sure you want to delete this title?</h2>
            <p>
                To delete this movie title from the library, click 'Delete' below. To back to the movies library, click 'Back to List'.
            </p>
            <br />

            <div>
                <br />
                <dl class="dl-horizontal">
                    <dt>
                        @Html.DisplayNameFor(model => model.Title)
                    </dt>
                    <dd>
                        @Html.DisplayFor(model => model.Title)
                    </dd>
                    <dt>
                        @Html.DisplayNameFor(model => model.ReleaseDate)
                    </dt>
                    <dd>
                        @Html.DisplayFor(model => model.ReleaseDate)
                    </dd>
                    <dt>
                        @Html.DisplayNameFor(model => model.Genre)
                    </dt>
                    <dd>
                        @Html.DisplayFor(model => model.Genre)
                    </dd>
                    <dt>
                        @Html.DisplayNameFor(model => model.Price)
                    </dt>
                    <dd>
                        @Html.DisplayFor(model => model.Price)
                    </dd>
                </dl>

                <form asp-action="Delete">
                    <input type="hidden" asp-for="Id" />
                    <input type="submit" value="Delete" class="btn btn-primary" /> |
                    <a asp-action="Index">Back to List</a>
                </form>
            </div>
        </div>
    </div>

MvcMovie/Views/Movies/Details.cshtml
@model MvcMovie.Models.Movie

@{
    ViewData["Title"] = "Details";
}

    <div class="content">
        <h1 class="page-title">MVD Movies Library</h1>
        <br />
        <div>
            <hr>
            <h3 class="lead">Movie Details</h3>
            <hr />

            <div>
                <dl class="dl-horizontal">
                    <dt>
                        @Html.DisplayNameFor(model => model.Title)
                    </dt>
                    <dd>
                        @Html.DisplayFor(model => model.Title)
                    </dd>
                    <dt>
                        @Html.DisplayNameFor(model => model.ReleaseDate)
                    </dt>
                    <dd>
                        @Html.DisplayFor(model => model.ReleaseDate)
                    </dd>
                    <dt>
                        @Html.DisplayNameFor(model => model.Genre)
                    </dt>
                    <dd>
                        @Html.DisplayFor(model => model.Genre)
                    </dd>
                    <dt>
                        @Html.DisplayNameFor(model => model.Price)
                    </dt>
                    <dd>
                        @Html.DisplayFor(model => model.Price)
                    </dd>
                </dl>
            </div>
        </div>
    </div>
    <div>
        <a asp-action="Edit" asp-route-id="@Model.Id">Edit</a> |
        <a asp-action="Index">Back to List</a>
    </div>

MvcMovie/Views/Movies/Edit.cshtml
@model MvcMovie.Models.Movie

@{
    ViewData["Title"] = "Edit";
}

    <div class="content">
        <h1 class="page-title">MVD Movies Library</h1>
        <br />
        <div>
            <hr>
            <h3 class="lead">Edit Movie</h3>
            <hr />

            
            <p>
                To edit the details of the movie title, enter the appropriate information in the boxes below, and then click 'Save'. To discard changes, click 'Back to List'.
            </p>
            <br />
            
            <div class="row">
                <div class="col-md-4">
                    <form asp-action="Edit">
                        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                        <input type="hidden" asp-for="Id" />
                        <div class="form-group">
                            <label asp-for="Title" class="control-label"></label>
                            <input asp-for="Title" class="form-control" />
                            <span asp-validation-for="Title" class="text-danger"></span>
                        </div>
                        <div class="form-group">
                            <label asp-for="ReleaseDate" class="control-label"></label>
                            <input asp-for="ReleaseDate" class="form-control" />
                            <span asp-validation-for="ReleaseDate" class="text-danger"></span>
                        </div>
                        <div class="form-group">
                            <label asp-for="Genre" class="control-label"></label>
                            <input asp-for="Genre" class="form-control" />
                            <span asp-validation-for="Genre" class="text-danger"></span>
                        </div>
                        <div class="form-group">
                            <label asp-for="Price" class="control-label"></label>
                            <input asp-for="Price" class="form-control" />
                            <span asp-validation-for="Price" class="text-danger"></span>
                        </div>
                        <div class="form-group">
                            <input type="submit" value="Save" class="btn btn-primary" />
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

            <div>
                <a asp-action="Index">Back to List</a>
            </div>

            @section Scripts {
                @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
            }

MvcMovie/Views/Movies/Index.cshtml
@model IEnumerable<MvcMovie.Models.Movie>

@{
    ViewData["Title"] = "Index";
}

    <div class="content">
        <h1 class="page-title">MVD Movies Library</h1>
        <br />
        <div>
            <hr>

            <p class="lead">Welcome to the New Mexico MVD Movies library!</p>

            <hr>
         
            <h2>Please provide the following information:</h2>
            <p>
                To add movie to our library, click the 'Create New' button. You can also edit existing movies, view movie details, or delete movies in the library by clicking 'Edit',
                'Details', or 'Delete'.
            </p>
            <p>For questions regarding our library, please call (505) 827-0951.</p>
            <br />


            <p>
                <a asp-action="Create" class="btn btn-primary">Create New</a>
            </p>
            <table class="table">
                <thead>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(model => model.Title)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.ReleaseDate)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.Genre)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.Price)
                        </th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in Model)
                    {
                        <tr>
                            <td>
                                @Html.DisplayFor(modelItem => item.Title)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.ReleaseDate)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Genre)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Price)
                            </td>
                            <td class="nav nav-pills">

                                <a asp-action="Edit" asp-route-id="@item.Id">Edit</a> |
                                <a asp-action="Details" asp-route-id="@item.Id">Details</a> |
                                <a asp-action="Delete" asp-route-id="@item.Id">Delete</a>
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    </div>

MvcMovie/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"]</title>
 
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/all.css" integrity="sha384-oS3vJWv+0UjzBfQzYUhtDYW+Pj2yciDJxpsK1OYPAYjqT085Qq/1cq5FLXAZQ7Ay" crossorigin="anonymous">
    <link href="//fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,700italic,400,300,700" rel="stylesheet" type="text/css">

    <environment include="Development">
        <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.css" />
        <link rel="stylesheet" href="~/css/site.css" />
    </environment>
    <environment exclude="Development">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css"
              asp-fallback-href="~/lib/bootstrap/dist/css/bootstrap.min.css"
              asp-fallback-test-class="sr-only" asp-fallback-test-property="position" asp-fallback-test-value="absolute" />
        <link rel="stylesheet" href="~/css/site.min.css" asp-append-version="true" />
    </environment>
</head>

<body>


        <div class="container header">
            <div class="row">
                <div class="col-lg-2 col-md-2 col-sm-3 col-xs-12 text-center pb-5">
                    <a asp-controller="Movies" asp-action="Index"><img src="~/images/nmtrd.png" alt="tax and revenue logo" class="img-responsive centered" /></a>   
                </div>
            </div>
            <nav class="navbar navbar-inverse">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                </div>
                <div class="navbar-collapse collapse">
                    <ul class="nav navbar-nav">
                        <li class="nav-links text-light"><a asp-area="" asp-controller="Movies" asp-action="Index"><span class="glyphicon glyphicon-home" aria-hidden="true"></span> MVDMovies</a></li>
                    </ul>
                </div>
            </nav>
        </div>

        

        <partial name="_CookieConsentPartial" />

        <div class="container body-content">
            @RenderBody()

            <footer>

                <div class="container">
                    
                    <hr />
                    <p>Copyright © Taxation & Revenue Department New Mexico 2013</p>
                    <ul class="nav nav-pills pull-right">
                        <li><a asp-controller="Movies" asp-action="Index">MVDMovies</a></li>
                        <li><a asp-controller="Home" asp-action="Privacy">Privacy &amp; Security</a></li>
                        <li><a asp-controller="Home" asp-action="Policies">Site Policies</a></li>
                        <li><a asp-controller="Home" asp-action="Accessibility">Accessibility</a></li>
                        <li><a asp-controller="Home" asp-action="About">About Us</a></li>
                        <li><a asp-controller="Home" asp-action="Contact">Contact Us</a></li>
                    </ul>
                    
                    
                   
                </div>
            </footer>
        </div>


    <environment include="Development">
        <script src="~/lib/jquery/dist/jquery.js"></script>
        <script src="~/lib/bootstrap/dist/js/bootstrap.js"></script>
        <script src="~/js/site.js" asp-append-version="true"></script>
    </environment>
    <environment exclude="Development">
        <script src="https://ajax.aspnetcdn.com/ajax/jquery/jquery-3.3.1.min.js"
                asp-fallback-src="~/lib/jquery/dist/jquery.min.js"
                asp-fallback-test="window.jQuery"
                crossorigin="anonymous"
                integrity="sha384-tsQFqpEReu7ZLhBV2VZlAu7zcOV+rXbYlF2cqB8txI/8aZajjp4Bqd+V6D5IgvKT">
        </script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"
                asp-fallback-src="~/lib/bootstrap/dist/js/bootstrap.min.js"
                asp-fallback-test="window.jQuery && window.jQuery.fn && window.jQuery.fn.modal"
                crossorigin="anonymous"
                integrity="sha384-aJ21OjlMXNL5UyIl/XNwTMqvzeRMZH2w8c5cRVpzpU8Y5bApTppSuUkhZXN0VxHd">
        </script>
        <script src="~/js/site.min.js" asp-append-version="true"></script>
    </environment>

    @RenderSection("Scripts", required: false)
</body>
</html>